LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::animations::AnimationCalcMode Constant Group Reference

Specifies the interpolation mode for the animation. More...

## Variables
const short | DISCRETE = 0
| This specifies that the animation function will jump from one value to the next without any interpolation. More...
const short | LINEAR = 1
| Simple linear interpolation between values is used to calculate the animation function. More...
const short | PACED = 2
| Defines interpolation to produce an even pace of change across the animation. More...
const short | SPLINE = 3
| Interpolates from one value in the values list to the next according to a time function defined by a cubic Bezier spline. More...

## Detailed Description

Specifies the interpolation mode for the animation.

See also
  XAnimation
  http://www.w3.org/TR/smil20/animation.html#adef-calcMode
  http://www.w3.org/TR/smil20/animation.html#adef-SplineAnimation-calcMode

## Variable Documentation

## ◆ DISCRETE

const short DISCRETE = 0

This specifies that the animation function will jump from one value to the next without any interpolation.

## ◆ LINEAR

const short LINEAR = 1

Simple linear interpolation between values is used to calculate the animation function.

This is the default.

## ◆ PACED

const short PACED = 2

Defines interpolation to produce an even pace of change across the animation.

This is only supported for values that define a linear numeric range, and for which some notion of "distance" between points can be calculated (e.g. position, width, height, etc.).

## ◆ SPLINE

const short SPLINE = 3

Interpolates from one value in the values list to the next according to a time function defined by a cubic Bezier spline.

The points of the spline are defined in the XAnimate::KeyTimes attribute, and the control points for each interval are defined in the XAnimate::TimeFilter attribute.